Retrieve Deleted Object Record Attachments
Retrieve IDs of object attachments deleted within the past 30 days. Learn more about object record attachments in Vault Help
After object record attachments and attachment versions are deleted, their IDs remain available for retrieval for 30 days. After that, they cannot be retrieved.
This API cannot retrieve attachments in attachment fields
GET
/api/{version}/objects/deletions/vobjects/{object_name}/attachmentsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object from which to retrieve deleted attachments. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
start_date | Specify a date (no more than 30 days past) after which Vault will look for deleted object record attachments. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date. |
end_date | SSpecify a date (no more than 30 days past) before which Vault will look for deleted object record attachments. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date. |
limit | Paginate the results by specifying the maximum number of deleted attachments to display per page in the response. This can be any value between 0 and 5000. If omitted, defaults to 1000. |
Request
Section link for Requestcurl --location 'https://myvault.veevavault.com/api/v25.2/objects/deletions/vobjects/campaign__c/attachments' \
--header 'Accept: application/json' \
--header 'Authorization: {SESSION_ID}' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "OK",
"responseDetails": {
"total": 1,
"size": 1,
"limit": 1000,
"offset": 0
},
"data": [
{
"id": 1501,
"version": "",
"date_deleted": "2025-05-17T02:26:49Z",
"external_id__v": null,
"record_id": "OBE00000000H001",
"deletion_type": "attachment__sys"
}
]
}